Package org.apache.maven.scm.provider.git

## Class GitConfigFileReader

- java.lang.Object
- - org.apache.maven.scm.provider.git.GitConfigFileReader

    public class GitConfigFileReader
    extends java.lang.Object

Author:
  Emmanuel Venisse

### Constructor Summary

Constructors
`GitConfigFileReader()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.io.File` `getConfigDirectory()`
`java.lang.String` `getProperty​(java.lang.String group, java.lang.String propertyName)`
`void` `setConfigDirectory​(java.io.File configDirectory)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GitConfigFileReader

    public GitConfigFileReader()

### Method Detail

#### getConfigDirectory

    public java.io.File getConfigDirectory()

#### setConfigDirectory

    public void setConfigDirectory​(java.io.File configDirectory)

#### getProperty

    public java.lang.String getProperty​(java.lang.String group,
                                        java.lang.String propertyName)